ServerSocket
Date: 2016-06-24

java.net

## Class ServerSocket

- java.lang.Object
- - java.net.ServerSocket

-     public class ServerSocket
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSocket()`
    `ServerSocket(int var0)`
    `ServerSocket(int var0, int var1)`
    `ServerSocket(int var0, int var1, InetAddress var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `accept()`
    `void` | `bind(SocketAddress var0)`
    `void` | `bind(SocketAddress var0, int var1)`
    `void` | `close()`
    `InetAddress` | `getInetAddress()`
    `int` | `getLocalPort()`
    `SocketAddress` | `getLocalSocketAddress()`
    `int` | `getReceiveBufferSize()`
    `boolean` | `getReuseAddress()`
    `int` | `getSoTimeout()`
    `protected void` | `implAccept(Socket var0)`
    `boolean` | `isBound()`
    `boolean` | `isClosed()`
    `void` | `setReceiveBufferSize(int var0)`
    `void` | `setReuseAddress(boolean var0)`
    `static void` | `setSocketFactory(SocketImplFactory var0)`
    `void` | `setSoTimeout(int var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSocket

          public ServerSocket()
                       throws IOException

      Throws:
        `IOException`

    - #### ServerSocket

          public ServerSocket(int var0)
                       throws IOException

      Throws:
        `IOException`

    - #### ServerSocket

          public ServerSocket(int var0,
                      int var1)
                       throws IOException

      Throws:
        `IOException`

    - #### ServerSocket

          public ServerSocket(int var0,
                      int var1,
                      InetAddress var2)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### accept

          public Socket accept()
                        throws IOException

      Throws:
        `IOException`

    - #### bind

          public void bind(SocketAddress var0)
                    throws IOException

      Throws:
        `IOException`

    - #### bind

          public void bind(SocketAddress var0,
                  int var1)
                    throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### getInetAddress

          public InetAddress getInetAddress()

    - #### getLocalPort

          public int getLocalPort()

    - #### getLocalSocketAddress

          public SocketAddress getLocalSocketAddress()

    - #### getReceiveBufferSize

          public int getReceiveBufferSize()
                                   throws SocketException

      Throws:
        `SocketException`

    - #### getReuseAddress

          public boolean getReuseAddress()
                                  throws SocketException

      Throws:
        `SocketException`

    - #### getSoTimeout

          public int getSoTimeout()
                           throws IOException

      Throws:
        `IOException`

    - #### implAccept

          protected final void implAccept(Socket var0)
                                   throws IOException

      Throws:
        `IOException`

    - #### isBound

          public boolean isBound()

    - #### isClosed

          public boolean isClosed()

    - #### setReceiveBufferSize

          public void setReceiveBufferSize(int var0)
                                    throws SocketException

      Throws:
        `SocketException`

    - #### setReuseAddress

          public void setReuseAddress(boolean var0)
                               throws SocketException

      Throws:
        `SocketException`

    - #### setSoTimeout

          public void setSoTimeout(int var0)
                            throws SocketException

      Throws:
        `SocketException`

    - #### setSocketFactory

          public static void setSocketFactory(SocketImplFactory var0)
                                       throws IOException

      Throws:
        `IOException`